# OutgoingDataQueueBase Class Reference
[Base classes for RTP queues.]

`#include <queuebase.h>`

Inheritance diagram for OutgoingDataQueueBase:

List of all members.

## Public Member Functions

size_t | getDefaultMaxSendSegmentSize ()
void | setMaxSendSegmentSize (size_t size)
| Set maximum payload segment size before fragmenting sends.
size_t | getMaxSendSegmentSize ()

## Protected Member Functions

| OutgoingDataQueueBase ()
virtual | ~OutgoingDataQueueBase ()

## Detailed Description

Author:
  Federico Montesino Pouzols <fedemp@altern.org>

## Constructor & Destructor Documentation

OutgoingDataQueueBase::OutgoingDataQueueBase | ( | ) | `[protected]`

virtual OutgoingDataQueueBase::~OutgoingDataQueueBase | ( | ) | `[inline, protected, virtual]`

## Member Function Documentation

size_t OutgoingDataQueueBase::getDefaultMaxSendSegmentSize | ( | ) | `[inline]`

size_t OutgoingDataQueueBase::getMaxSendSegmentSize | ( | ) | `[inline]`

void OutgoingDataQueueBase::setMaxSendSegmentSize | ( | size_t | size ) | `[inline]`

Set maximum payload segment size before fragmenting sends.

Parameters:

  size | Maximum payload size.

Returns:
  Whether segment size was successfully set.

The documentation for this class was generated from the following file:

- queuebase.h